<html lang="en">
<%- include('../partials/head.ejs') %> 
<body>
    <%- include('../partials/nav.ejs')%>
    <!-- Start: MAIN-SECTION -->
    <div class="container mb-3" id="lr-margin">
        <div class="row" style="margin-top: 1rem;">
            
            <!-- Start: Side Section -->
            <div class="col-md-3 d-flex d-lg-flex d-xl-flex flex-column align-items-center align-items-sm-center align-items-lg-center justify-content-xl-start" id="sidebar-column">
                <h3 class="text-center d-lg-flex fw-bold justify-content-lg-center mt-4 align-items-lg-start" id="welcome-text" style="width: 100%;padding-top: .5rem;">Good day Admin!</h3>
                <!-- Start: clock -->
                <%- include('../partials/clock-weather.ejs')%>
                <!-- End: clock -->
                <p class="mb-1 mt-0" style="text-align: center;"><strong>Comtech Laptop Repair Shop</strong><br>Brgy. 19, Corner Jadol-Tuto St., Gingoog City, Misamis Oriental, 9014</p>
                <a class="btn btn-primary d-lg-flex justify-content-sm-center justify-content-lg-center align-items-lg-center" role="button" data-bss-disabled-mobile="true" data-bss-hover-animate="pulse" id="view-job-order-btn" href="/job-orders">Dashboard</a>
                <!-- <iframe allowfullscreen="" frameborder="0" loading="lazy" src="https://www.google.com/maps/embed/v1/search?key=AIzaSyAbINk7rv7Ey4sGOfM1lZc6IWAkNEzFj-A&amp;q=comtech+gingoog&amp;zoom=15" id="map" width="100%" height="400"></iframe> -->
            </div>
            <!-- End: Side Section -->

            <!-- Start: Add Job Order Form -->
            <div class="col-md-9" id="main-body">
                <h3 class="fw-bold text-center text-light add-job py-4 mt-5">Add a new job order</h3><!-- Start: Job Order Details Form -->
                <form class="container" action="/job-orders" method="POST">
                    <p>Please enter all the required details of the customer and the job performed.</p><!-- Start: Form Row -->
                    <div class="row form-row">
                        <!-- Start: Job Order No. -->
                        <div class="col col-lg-3 pb-2"><label class="form-label custom-label" for="job_id">Job Order No.</label><input class="form-control custom-input" type="number" id="job_id" name="job_id" required="" autocomplete="off"></div><!-- End: Job Order No. -->
                        <!-- Start: Date -->
                        <div class="col-sm-7 col-lg-3 pb-2"><label class="form-label custom-label" for="job_date">Date:</label><input class="form-control custom-input" id="job_date" name="job_date" type="date" required="" autocomplete="off"></div><!-- End: Date -->
                        <!-- Start: Customer Name -->
                        <div class="col-sm-12 col-lg-6 pb-2"><label class="form-label custom-label" for="cus_name">Customer Name:</label><input class="form-control custom-input" type="text" id="cus_name" name="cus_name" required="" autocomplete="off"></div><!-- End: Customer Name -->
                    </div><!-- End: Form Row -->
                    <!-- Start: Form Row -->
                    <div class="row form-row">
                        <!-- Start: Address -->
                        <div class="col-sm-12 col-lg-6 pb-2"><label class="form-label custom-label" for="cus_address">Address:</label><input class="form-control custom-input" type="text" id="cus_address" name="cus_address" required="" autocomplete="off"></div><!-- End: Address -->
                        <!-- Start: Phone -->
                        <div class="col-sm-12 col-lg-6 pb-2"><label class="form-label custom-label" for="cus_phone">Contact Info:</label><input class="form-control custom-input" type="text" id="cus_phone" name="cus_phone" required="" autocomplete="off"></div><!-- End: Phone -->
                    </div><!-- End: Form Row -->
                    <!-- Start: Unit Specs -->
                    <p class="text-center text-uppercase pt-sm-1 pt-md-3 mb-1">Unit specification</p><!-- End: Unit Specs -->
                    <!-- Start: Form Row -->
                    <div class="row form-row">
                        <!-- Start: Unit Model -->
                        <div class="col-sm-12 col-lg-6 pb-2"><label class="form-label custom-label" for="unit_model">Unit Model:</label><input class="form-control custom-input" type="text" id="unit_model" name="unit_model" required="" autocomplete="off"></div><!-- End: Unit Model -->
                        <!-- Start: Unit Accessories -->
                        <div class="col-sm-12 col-lg-6 pb-2"><label class="form-label custom-label" for="unit_accessories">Unit Accessories:</label><input class="form-control custom-input" type="text" id="unit_accessories" name="unit_accessories" autocomplete="off" placeholder="Type N/A if not applicable" ></div><!-- End: Unit Accessories -->
                    </div><!-- End: Form Row -->
                    <!-- Start: Form Row -->
                    <div class="row form-row">
                        <!-- Start: Unit Model -->
                        <div class="col-sm-12 pb-2"><label class="form-label custom-label" for="unit_model">Unit Specs:</label><input class="form-control custom-input" type="text" id="unit_specs" name="unit_specs" required="" autocomplete="off" placeholder="Type N/A if not applicable"></div><!-- End: Unit Model -->
                    </div><!-- End: Form Row -->
                    <!-- Start: Unit Specs -->
                    <p class="text-center text-uppercase pt-sm-1 pt-md-3 mb-1">Work performed</p><!-- End: Unit Specs -->
                    <!-- Start: Form Row -->
                    <div class="row form-row">
                        <!-- Start: Job Type -->
                        <div class="col-sm-12 col-lg-7 pb-2"><label class="form-label custom-label" for="work_perf">Job Type:</label><input class="form-control custom-input" type="text" id="work_perf" name="work_perf" required="" autocomplete="off"></div><!-- End: Job Type -->
                        <!-- Start: Payment Method -->
                        <div class="col-sm-12 col-lg-5 pb-2"><label class="form-label custom-label" for="s_status">Status:</label><select class="form-select custom-input" id="s_status" name="s_status">
                                <option value="ONGOING" selected="">ONGOING</option>
                                <option value="DONE/UNRELEASED">DONE/UNRELEASED</option>
                                <option value="PAID/UNRELEASED">PAID/UNRELEASED</option>
                                <option value="PAID/RELEASED">PAID/RELEASED</option>
                                <option value="BACK JOB">BACK JOB</option>
                                <option value="DMD/UNRELEASED">DMD/UNRELEASED</option>
                                <option value="DMD/RELEASED">DMD/RELEASED</option>
                            </select></div><!-- End: Payment Method -->
                    </div><!-- End: Form Row -->
                    <!-- Start: Form Row -->
                    <div class="row form-row">
                        <!-- Start: Service Charge -->
                        <div class="col-sm-12 col-lg-4 pb-2"><label class="form-label custom-label" for="s_charge">Service Charge:</label><input class="form-control custom-input sumVari" type="number" id="s_charge" name="s_charge" required="" autocomplete="off"></div><!-- End: Service Charge -->
                        <!-- Start: Down Payment -->
                        <div class="col-sm-12 col-lg-4 pb-2"><label class="form-label custom-label" for="s_downpay">Down Payment:</label><input class="form-control custom-input sumVari" type="number" id="s_downpay" name="s_downpay" required="" autocomplete="off" value="0"></div><!-- End: Down Payment -->
                        <!-- Start: Down Payment -->
                        <div class="col-sm-12 col-lg-4 pb-2"><label class="form-label custom-label" for="s_paymeth">Payment Method:</label><select class="form-select custom-input" id="s_paymeth" name="s_paymeth">
                                <option value="OVER THE COUNTER" selected="">OVER THE COUNTER</option>
                                <option value="G-CASH">G-CASH</option>
                                <option value="PAYMAYA">PAYMAYA</option>
                                <option value="BANK TRANSFER">BANK TRANSFER</option>
                                <option value="OTHERS">OTHERS</option>
                            </select></div><!-- End: Down Payment -->
                        <!-- Start: Down Payment -->
                        <div class="col-sm-12 col-lg-4 pb-2"><label class="form-label custom-label" for="s_bal">Balance:</label><input class="form-control custom-input" type="number" id="s_bal" name="s_bal" required="" autocomplete="off"></div><!-- End: Down Payment -->
                        <!-- Start: Date -->
                        <div class="col-sm-7 col-lg-4 pb-2 mt-2"><label class="form-label custom-label" for="p_rel_date">Date Released/Returned:</label><input class="form-control custom-input" id="p_rel_date" name="p_rel_date" type="date" autocomplete="off"></div><!-- End: Date -->
                    </div><!-- End: Form Row -->
                    <!-- Start: Unit Specs -->
                    <p class="text-center text-uppercase pt-sm-1 pt-md-3 mb-1">PARTS REPLACEMENT</p><!-- End: Unit Specs -->
                    <div class="accordion" role="tablist" id="accordion-1">
                        <div class="accordion-item">
                            <h2 class="accordion-header" role="tab"><button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#accordion-1 .item-1" aria-expanded="false" aria-controls="accordion-1 .item-1">Click to Expand (If applicable)</button></h2>
                            <div class="accordion-collapse collapse item-1" role="tabpanel" data-bs-parent="#accordion-1">
                                <div class="accordion-body">
                                    <!-- Start: Form Row -->
                                    <div class="row form-row">
                                        <!-- Start: Parts Ordered -->
                                        <div class="col-sm-12 col-lg-8 pb-2"><label class="form-label custom-label" for="p_parts">Ordered Parts:</label><input class="form-control form-control custom-input" type="text" id="p_parts" name="p_parts" autocomplete="off"></div><!-- End: Parts Ordered -->
                                        <!-- Start: Part Order DAte -->
                                        <div class="col-sm-12 col-lg-4 pb-2"><label class="form-label custom-label" for="p_ord_date">Date Ordered:</label><input class="form-control form-control custom-input" id="p_ord_date" name="p_ord_date" autocomplete="off" type="date"></div><!-- End: Part Order DAte -->
                                    </div><!-- End: Form Row -->
                                    <!-- Start: Form Row -->
                                    <div class="row form-row">
                                        <!-- Start: Supplier -->
                                        <div class="col-sm-12 col-lg-6 pb-2"><label class="form-label custom-label" for="p_supp">Supplier &amp; Tracking No.:</label><input class="form-control form-control custom-input" type="text" id="p_supp" name="p_partsp_supp" autocomplete="off"></div><!-- End: Supplier -->
                                        <!-- Start: Total Price -->
                                        <div class="col-sm-12 col-lg-3 pb-2"><label class="form-label custom-label" for="p_price">Total Price:</label><input class="form-control form-control custom-input sumVari" type="number" id="p_price" name="p_price" autocomplete="off" value="0"></div><!-- End: Total Price -->
                                        <!-- Start: Total Price -->
                                        <div class="col-sm-12 col-lg-3 pb-2"><label class="form-label custom-label" for="p_downpay">Down Payment:</label><input class="form-control form-control custom-input sumVari" type="number" id="p_downpay" name="p_downpay" autocomplete="off" value="0"></div><!-- End: Total Price -->
                                    </div><!-- End: Form Row -->
                                    <!-- Start: Form Row -->
                                    <div class="row form-row">
                                        <!-- Start: Delevery Status -->
                                        <div class="col-sm-12 col-lg-4 pb-2"><label class="form-label custom-label" for="p_ord_status">Delivery Status:</label><select class="form-select custom-input" id="p_ord_status" name="p_ord_status">
                                                <option value="N/A" selected="">N/A</option>
                                                <option value="ORDERED">ORDERED</option>
                                                <option value="SHIPPED">SHIPPED</option>
                                                <option value="RECEIVED">RECEIVED</option>
                                                <option value="RETURNED">RETURNED</option>
                                            </select></div><!-- End: Delevery Status -->
                                        <!-- Start: Installation Status -->
                                        <div class="col-sm-12 col-lg-4 pb-2"><label class="form-label custom-label" for="p_installed">Installation Status:</label><select class="form-select custom-input" id="p_installed" name="p_installed">
                                                <option value="Installed">Installed</option>
                                                <option value="Not Installed" selected="">Not Installed</option>
                                            </select></div><!-- End: Installation Status -->
                                        <!-- Start: Installation Status -->
                                        <div class="col-sm-12 col-lg-4 pb-2"><label class="form-label custom-label" for="p_status">Payment Status:</label><select class="form-select custom-input" id="p_status" name="p_status">
                                                <option value="N/A" selected="">N/A</option>
                                                <option value="PARTIALLY PAID">PARTIALLY PAID</option>
                                                <option value="FULLY PAID/UNRELEASED">FULLY PAID/UNRELEASED</option>
                                                <option value="FULLY PAID/RELEASED">FULLY PAID/RELEASED</option>
                                                <option value="RETURNED/REFUNDED">RETURNED/REFUNDED</option>
                                            </select></div><!-- End: Installation Status -->
                                        <!-- Start: Total Price -->
                                        <div class="col-sm-12 col-lg-4 pb-2"><label class="form-label custom-label" for="p_bal">Balance:</label><input class="form-control form-control custom-input" type="number" id="p_bal" name="p_bal" autocomplete="off"></div><!-- End: Total Price -->
                                    </div><!-- End: Form Row -->
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row my-3">
                        <div class="col"><button class="btn btn-warning" type="submit">Add Job Order</button></div>
                    </div>
                    <div class="row">
                        <div class="col">
                            <p>Reminder: Please double check the information filled before saving.</p>
                        </div>
                    </div>
                </form><!-- End: Job Order Details Form -->
            </div>
            <!-- End: Add Job Order Form -->
            
        </div>
    </div>
    <!-- End: MAIN-SECTION -->

    <%- include('../partials/foot.ejs') %> 
    
</body>
</html>